%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos} == 6
%global         with_python2 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libcreg
Version:	20221022
Release:	1%{?dist}
Summary:	Library to access the Windows 9x/Me Registry File (CREG) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libcreg/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool fuse-devel

%description
libcreg is a library to access the Windows 9x/Me Registry File (CREG) format

%package devel
Summary: Header files and libraries for developing applications for libcreg
Group: Development/Libraries
Requires: libcreg = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libcreg.

%package tools
Summary: Several tools for reading Windows 9x/Me Registry Files (CREG)
Group: Applications/System
Requires: libcreg = %{version}-%{release} fuse-libs
BuildRequires: fuse-devel

%description tools
Several tools for reading Windows 9x/Me Registry Files (CREG)

%if 0%{?with_python2}
%package python2
Summary: Python 2 bindings for libcreg
Group: System Environment/Libraries
Requires: libcreg = %{version}-%{release} python
BuildRequires: python2-devel
Provides: python-%{name} = %{version}

%description python2
Python 2 bindings for libcreg
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libcreg
Group: System Environment/Libraries
Requires: libcreg = %{version}-%{release} python3
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libcreg
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcreg.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/creginfo
%attr(755,root,root) %{_bindir}/cregexport
%attr(755,root,root) %{_bindir}/cregmount
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python2*/site-packages/*.la
%endif
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sat Oct 22 2022 Lawrence R. Rogers <lrr@cert.org> 20221022-1
* Release 20221022-1
        Version from 20221022.
.
* Fri Jun 25 2021 Lawrence R. Rogers <lrr@cert.org> 20210625-1
* Release 20210625-1
        Version from 20210625.
.
* Mon May  3 2021 Lawrence R. Rogers <lrr@cert.org> 20210502-2
* Release 20210502-2
        Version from 20210502.
	Used wrong source file.

* Sun May  2 2021 Lawrence R. Rogers <lrr@cert.org> 20210502-1
* Release 20210502-1
        Version from 20210502.

* Sat Apr 24 2021 Lawrence R. Rogers <lrr@cert.org> 20210424-1
* Release 20210424-1
        Version from 20210424.

* Tue Oct 27 2020 Lawrence R. Rogers <lrr@cert.org> 20200725-2
* Release 20200725-2
	CentOS/RHEL 7 Python 3 version named incorrectly (python3 vs. python36)

* Sat Jul 25 2020 Lawrence R. Rogers <lrr@cert.org> 20200725-1
* Release 20200725-1
        Version from 20200725.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181101-2
* Release 20181101-2
        Rebuilt for Python 3.6 for CentOS/RHEL 7

* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version from 20181101.

* Mon Jul 10 2017 Joachim Metz <joachim.metz@gmail.com> 20170119-1
- Auto-generated

